scala.xml.include.sax
class XIncluder

[source: `scala/xml/include/sax/XIncluder.scala`]

`` `class` XIncluder(outs : java.io.OutputStream, encoding : java.lang.String)
  `extends` org.xml.sax.ContentHandler `with` org.xml.sax.ext.LexicalHandler `with` AnyRef

  XIncluder is a SAX `ContentHandler` that writes its XML document onto an output stream after resolving all `xinclude:include` elements.

  based on Eliotte Rusty Harold's SAXXIncluder

Value Summary
`var` | out : java.io.OutputStreamWriter

Method Summary
`def` | characters (ch : Array[Char], start : Int, length : Int) : Unit
`def` | comment (ch : Array[Char], start : Int, length : Int) : Unit
`def` | endCDATA : Unit
`def` | endDTD : Unit
`def` | endDocument : Unit
`def` | endElement (namespaceURI : java.lang.String, localName : java.lang.String, qualifiedName : java.lang.String) : Unit
`def` | endEntity (name : java.lang.String) : Unit
`def` | endPrefixMapping (prefix : java.lang.String) : Unit
`def` | ignorableWhitespace (ch : Array[Char], start : Int, length : Int) : Unit
`def` | processingInstruction (target : java.lang.String, data : java.lang.String) : Unit
`def` | setDocumentLocator (locator : org.xml.sax.Locator) : Unit
`def` | setFilter (filter : XIncludeFilter) : Unit
`def` | skippedEntity (name : java.lang.String) : Unit
`def` | startCDATA : Unit
`def` | startDTD (name : java.lang.String, publicID : java.lang.String, systemID : java.lang.String) : Unit
`def` | startDocument : Unit
`def` | startElement (namespaceURI : java.lang.String, localName : java.lang.String, qualifiedName : java.lang.String, atts : org.xml.sax.Attributes) : Unit
`def` | startEntity (name : java.lang.String) : Unit
`def` | startPrefixMapping (prefix : java.lang.String, uri : java.lang.String) : Unit

Methods inherited from AnyRef
getClass, hashCode, equals, clone, toString, notify, notifyAll, wait, wait, wait, finalize, ==, !=, eq, ne, synchronized

Methods inherited from Any
==, !=, isInstanceOf, asInstanceOf

Value Details

`` `var` out : java.io.OutputStreamWriter

Method Details

`` `def` setDocumentLocator(locator : org.xml.sax.Locator) : Unit

Overrides
  org.xml.sax.ContentHandler.org.xml.sax.ContentHandler.setDocumentLocator

`` `def` startDocument : Unit

Overrides
  org.xml.sax.ContentHandler.org.xml.sax.ContentHandler.startDocument

`` `def` endDocument : Unit

Overrides
  org.xml.sax.ContentHandler.org.xml.sax.ContentHandler.endDocument

`` `def` startPrefixMapping(prefix : java.lang.String, uri : java.lang.String) : Unit

Overrides
  org.xml.sax.ContentHandler.org.xml.sax.ContentHandler.startPrefixMapping

`` `def` endPrefixMapping(prefix : java.lang.String) : Unit

Overrides
  org.xml.sax.ContentHandler.org.xml.sax.ContentHandler.endPrefixMapping

`` `def` startElement(namespaceURI : java.lang.String, localName : java.lang.String, qualifiedName : java.lang.String, atts : org.xml.sax.Attributes) : Unit

Overrides
  org.xml.sax.ContentHandler.org.xml.sax.ContentHandler.startElement

`` `def` endElement(namespaceURI : java.lang.String, localName : java.lang.String, qualifiedName : java.lang.String) : Unit

Overrides
  org.xml.sax.ContentHandler.org.xml.sax.ContentHandler.endElement

`` `def` characters(ch : Array[Char], start : Int, length : Int) : Unit

Overrides
  org.xml.sax.ContentHandler.org.xml.sax.ContentHandler.characters

`` `def` ignorableWhitespace(ch : Array[Char], start : Int, length : Int) : Unit

Overrides
  org.xml.sax.ContentHandler.org.xml.sax.ContentHandler.ignorableWhitespace

`` `def` processingInstruction(target : java.lang.String, data : java.lang.String) : Unit

Overrides
  org.xml.sax.ContentHandler.org.xml.sax.ContentHandler.processingInstruction

`` `def` skippedEntity(name : java.lang.String) : Unit

Overrides
  org.xml.sax.ContentHandler.org.xml.sax.ContentHandler.skippedEntity

`` `def` startDTD(name : java.lang.String, publicID : java.lang.String, systemID : java.lang.String) : Unit

Overrides
  org.xml.sax.ext.LexicalHandler.org.xml.sax.ext.LexicalHandler.startDTD

`` `def` endDTD : Unit

Overrides
  org.xml.sax.ext.LexicalHandler.org.xml.sax.ext.LexicalHandler.endDTD

`` `def` startEntity(name : java.lang.String) : Unit

Overrides
  org.xml.sax.ext.LexicalHandler.org.xml.sax.ext.LexicalHandler.startEntity

`` `def` endEntity(name : java.lang.String) : Unit

Overrides
  org.xml.sax.ext.LexicalHandler.org.xml.sax.ext.LexicalHandler.endEntity

`` `def` startCDATA : Unit

Overrides
  org.xml.sax.ext.LexicalHandler.org.xml.sax.ext.LexicalHandler.startCDATA

`` `def` endCDATA : Unit

Overrides
  org.xml.sax.ext.LexicalHandler.org.xml.sax.ext.LexicalHandler.endCDATA

`` `def` setFilter(filter : XIncludeFilter) : Unit

`` `def` comment(ch : Array[Char], start : Int, length : Int) : Unit

Overrides
  org.xml.sax.ext.LexicalHandler.org.xml.sax.ext.LexicalHandler.comment